package school_project;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class MapGeneratorTest {

    @Test
    void generate() {
        Map[] maps = new Map[] {
            MapGenerator.generate(MapGenerator.Difficulty.Easy),
            MapGenerator.generate(MapGenerator.Difficulty.Medium),
            MapGenerator.generate(MapGenerator.Difficulty.Difficult),
        };

        for(Map m: maps){
            System.out.println("==========");
            System.out.println(m);
            System.out.println("++++++++++++++++++++");
            for (Piece p: m.getPieces()){
                System.out.println(p);
            }
        }
    }
}